#include "stm32f0xx.h"

// User Button is checked as PA0 input
// LD4 (blue) is controlled by PC8 output
// LD3 (green) is controlled by PC9 output

int main(void)
{
	RCC ->AHBENR |= (1<<17);   //Enable CLK for Port A
	RCC ->AHBENR |= (1<<19);   //Enable CLK for Port C
	GPIOA -> MODER &= ~3;      //Enable Port A Pin0 as a digital input
	GPIOC -> MODER |= (1<<16); //Enable Port C Pin8 as a digital output
	GPIOC -> MODER |= (1<<18); //Enable Port C Pin9 as a digital output
	while(1) {
		if (((GPIOA ->IDR)&1) ==1 ) {  //if user's button pushed
			GPIOC ->ODR |= (1<<8); //Turn GPIOC Pin 8 On
			GPIOC ->ODR &= ~(1<<9); //Turn GPIOC Pin 9 Off
		} else {
			GPIOC ->ODR &= ~(1<<8); //Turn GPIOC Pin 8 Off
			GPIOC ->ODR |= (1<<9); //Turn GPIOC Pin 9 On
		}
	}
}
